require 'virtus'

module Mycrm
  module Attributes
    class Name
      include Virtus.model

      attribute :display, String #, default: :default_display_name
      attribute :first, String
      attribute :last, String
      attribute :middle, String

      def set_default_display_name
        self.display = [first, last].join(' ') if first || last
      end
    end
  end
end
