require_relative '../model'

module Mycrm
  module Models
    class AdviserNote
      include Model

      endpoint 'contacts/AdviserCommentSet?family_id=%{FamilyId}'

      only :post

      to :underscore

      attribute :Id, Integer
      attribute :FamilyId, Integer
      attribute :Comment, String

      def self.parse(body)
        { 'Id' => body.to_i }
      end
    end
  end
end
