require_relative '../model'

module Mycrm
  module Models
    class Note
      include Model

      endpoint 'contacts/NoteSet?family_id=%{FamilyId}'

      only :post

      to :underscore

      attribute :Id, Integer
      attribute :IsSticky, Boolean, default: true
      attribute :FamilyId, Integer
      attribute :ActivityTitle, String, default: ''
      attribute :ActivityDetails, String, default: ''

      attribute :Note, String

      def self.parse(body)
        { 'Id' => body.to_i }
      end
    end
  end
end
