require_relative '../model'

module Mycrm
  module Models
    class Structure
      include Model

      endpoint 'lm-applications/%{application_id}/structures'

      only :post
      
      attribute :id, Integer
      attribute :application_id, Integer
      attribute :loan_term, Integer
      attribute :loan_amount, Integer
      attribute :product_id, Integer
      attribute :lender_id, Integer
      attribute :lender_reason, String
      attribute :product_reason, String
    end
  end
end
