require_relative '../facade'
require_relative '../models/office'
require_relative '../models/office_address'

module Mycrm
  module Facades
    class Organization
      include Facade

      delegate :office, Mycrm::Models::Office
      delegate :address, Mycrm::Models::OfficeAddress
    end
  end
end
