require_relative '../model'

module Mycrm
  module Models
    class AdviserComplianceDetail
      include Model

      endpoint 'corporate/FamilyComplianceGet'

      only :get

      attribute :FamilyId, String
      attribute :AppointmentType, String

      to :underscore

      def self.find(id)
        self.find_by(:familyId, id)
      end

      def self.parse(body)
        JSON.parse(body)
      end
    end
  end
end
